org.fourthline.cling.support.model

## Class TransportInfo

- java.lang.Object
- - org.fourthline.cling.support.model.TransportInfo

-     public class TransportInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransportInfo()`
    `TransportInfo(Map<String,ActionArgumentValue> args)`
    `TransportInfo(TransportState currentTransportState)`
    `TransportInfo(TransportState currentTransportState, String currentSpeed)`
    `TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus)`
    `TransportInfo(TransportState currentTransportState, TransportStatus currentTransportStatus, String currentSpeed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentSpeed()`
    `TransportState` | `getCurrentTransportState()`
    `TransportStatus` | `getCurrentTransportStatus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportInfo

          public TransportInfo()

    - #### TransportInfo

          public TransportInfo(Map<String,ActionArgumentValue> args)

    - #### TransportInfo

          public TransportInfo(TransportState currentTransportState)

    - #### TransportInfo

          public TransportInfo(TransportState currentTransportState,
                               String currentSpeed)

    - #### TransportInfo

          public TransportInfo(TransportState currentTransportState,
                               TransportStatus currentTransportStatus)

    - #### TransportInfo

          public TransportInfo(TransportState currentTransportState,
                               TransportStatus currentTransportStatus,
                               String currentSpeed)

  - ### Method Detail

    - #### getCurrentTransportState

          public TransportState getCurrentTransportState()

    - #### getCurrentTransportStatus

          public TransportStatus getCurrentTransportStatus()

    - #### getCurrentSpeed

          public String getCurrentSpeed()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.